<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="UTF-8" />
	<xsl:template match="/">
		<html>
		<meta http-equiv="Content-Type" content="text/html; charset=x-sjis" />
		<head>
		<title>刊行書籍一覧表</title>
		<link rel="stylesheet" type="text/css" href="books.css" />
		</head>
		<h1>著作一覧表</h1>
		<table border="1">
		<tr>
			<th>ISBNコード</th>
			<th>ロゴ</th>
			<th>書籍</th>
			<th>出版社</th>
			<th>価格</th>
		</tr>
		<xsl:apply-templates select="books" />
		</table>
		</html>
	</xsl:template>
	<xsl:template match="books">
		<xsl:for-each select="book">
			<tr>
				<td nowrap="nowrap">
					<xsl:value-of select="@isbn" />
				</td>
				<td nowrap="nowrap">
					<xsl:element name="img">
						<xsl:attribute name="src">
							<xsl:value-of select="image" />
						</xsl:attribute>
					</xsl:element>
				</td>
				<td nowrap="nowrap">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:value-of select="url" />
						</xsl:attribute>
						<xsl:value-of select="name" />
					</xsl:element>
				</td>
				<td nowrap="nowrap">
					<xsl:value-of select="publish" />
				</td>
				<td nowrap="nowrap">
					<xsl:value-of select="price" />
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
